Packages - Bug #2321

Libicu is missin on Parabola
2019-05-23 09:53 PM - GnuRock

Status: not-a-bug % Done: 0%
Priority: bug

Assignee:

Category:

Description

I try to install libicu on my Parabola but the library is missin, error while loading shared libraries: libicuuc.s0.63: cannot open shared
object file: No such file or directory

History

#1 - 2019-05-23 10:22 PM - bill-auger
GnuRock -

there is no package named 'libicu’ - it is 'icu’
which command or program gives that error ?
are you running parabola i686 ?

#2 - 2019-05-24 12:28 AM - freemor

if it is 1686 things are stil a bit rough there but better.
An arch32 machine that we have here is still waiting for thunderbird to be rebuilt against icu 64
| had to do some ugly hacks to get icu 63 living along side icu 64 to make it happy for the time being.

On Parabola systems theres the option of nonprism/icedove (if it has been rebuilt against icu 64)
Can't recall if | did that one or not...

->> goes off to check

#3 - 2019-05-24 12:33 AM - freemor

Checked, Both Libre/Icedove and nonprism/icedove are rebuilt against ICU 64 on i686 so not that.
But it would not suprise me if some other Arch32 packages are still waiting for rebuilds (upstream that is )

#4 - 2019-05-24 01:50 AM - GnuRock

Bill im in X64 bits system, the program who cause the error is dino, im install dino from your repos folowin the instructions for install in Arch.
#5 - 2019-05-24 11:02 AM - bill-auger

GnuRock -

parabola does not have a package named 'dino’ - is that something you got from AUR maybe?

#6 - 2019-05-24 11:17 AM - freemor

| see no Dino in the official repos? Where are you getting this package from?

Long story short the package you are trying to install is built against an older

version on ICU you'll need to find a newer version of that package or Rebuild it

with makepkg so that it is built against the current icu

Plus you'll probably have to rebuild it ever time icu updates (about twice a year)

#7 - 2019-05-30 06:04 PM - bill-auger

- Status changed from unconfirmed to not-a-bug
